search:
	menuSimpleComponents:
		in: %appDir%/../vendor/skadmin/menu-simple/src/components
		classes:
			- *Factory

	menuSimpleDoctrine:
		in: %appDir%/../vendor/skadmin/menu-simple/src/doctrine
		classes:
		    - *Facade

#latte:
#    macros:
#        - Skadmin\MenuSimple\Latte\Macro\MenuSimpleHref::install


#<?php
#
#declare(strict_types=1);
#
#namespace Skadmin\MenuSimple\Latte\Macro;
#
#use Latte\Compiler;
#use Latte\MacroNode;
#use Latte\Macros\MacroSet;
#use Latte\PhpWriter;
#use Nette\Utils\Html;
#use Nette\Utils\Strings;
#use Nette\Utils\Validators;
#use Tracy\Debugger;
#use function chunk_split;
#use function count;
#use function explode;
#use function sprintf;
#use function str_replace;
#use function trim;
#
#final class MenuSimpleHref extends MacroSet
#{
#
#    public static function install(Compiler $compiler) : MacroSet
#    {
#        $set = new static($compiler);
#        $set->addMacro('menuSimpleHref', [$set, 'getMacro']);
#        return $set;
#    }
#
#    public function getMacro(MacroNode $node, PhpWriter $writer)
#    {
#       Debugger::barDump($node);
#        return $writer->write('echo ":)";');
#    }
#    //{
#    //    return ':)';//'\IZON\TemplatingHelper\Macros\HrefLoad::run([\IZON\Admin\Config::getValue(\IZON\MVC\Config::ROUTER_IDENTIFIER), %s])';
#    //}
#
#    public function getTag() : string
#    {
#        return ':))';//\' href="\'.\IZON\TemplatingHelper\Macros\HrefLoad::run([\IZON\Admin\Config::getValue(\IZON\MVC\Config::ROUTER_IDENTIFIER), %s]).\'"\'';
#    }
#
#    public static function run($args)
#    {
#        // @ avoid notice from undefined index
#        @list($router, $context, $controllerId, $parameters, $methodName, $locale, $domainUID, $forceDomain) = $args;
#
#        $parameters  = $parameters ? $parameters : [];
#        $methodName  = $methodName ? $methodName : null;
#        $locale      = $locale ? $locale : null;
#        $domainUID   = $domainUID ? $domainUID : null;
#        $forceDomain = $forceDomain ? $forceDomain : false;
#
#        if ($context instanceof \IZON\MVC\Context\ContextInterface) {
#            if (is_null($locale)) {
#                $locale = $context->getLocale();
#            }
#        }
#        if (is_string($locale)) {
#            $locale = \IZON\Utils\Locale::forLocaleTag($locale);
#        }
#
#        return $router->findURL($controllerId, $parameters, $methodName, $locale, $domainUID, $forceDomain);
#    }
#
#
#}
